Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.tiff
Class IFDEntry

    java.lang.Object
      org.monte.media.tiff.IFDEntry

    public class IFDEntry

extends java.lang.Object

Represents a directory entry in a TIFF Image File Directory (IFD).

Each 12-byte IFD entry has the following format:

- Bytes 0-1 The Tag that identifies the field.
- Bytes 2-3 The field Type.
- Bytes 4-7 The number of values, Count of the indicated Type.
- Bytes 8-11 The Value Offset, the file offset (in bytes) of the Value for the field. The Value is expected to begin on a word boundary; the corresponding Value Offset will thus be an even number. This file offset may point anywhere in the file, even after the image data.

Version:
  2.1 2010-09-07 Stores ifdOffset.
  2.0 2010-07-24 Reworked.
  1.0 2009-12-26 Created.
Author:
  Werner Randelshofer

Constructor Summary
`IFDEntry(int tagNumber, int typeNumber, long count, long valueOffset, long entryOffset)`

Method Summary
`long` | `getCount()`
`java.lang.Object` | `getData()`
`long` | `getDataOffset()` The offset to the data.
`long` | `getEntryOffset()`
`long` | `getIFDOffset()`
`long` | `getLength()`
`int` | `getTagNumber()`
`int` | `getTypeNumber()`
`long` | `getValueOffset()` The value offset may either contain the data or point to the data depending on the type and the count.
`boolean` | `isDataInValueOffset()`
`void` | `loadData(TIFFInputStream in)`
`java.lang.Object` | `readData(TIFFInputStream in)` Reads value data with ifdDataOffset=0
`java.lang.Object` | `readData(TIFFInputStream in, long ifdDataOffset)` Reads value data with the specified ifdDataOffset.
`void` | `setIFDOffset(long newValue)`
`java.lang.String` | `toString()` FIXME Output is used by EXIFView
`java.lang.String` | `toString(java.lang.Enum tagName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IFDEntry

    public IFDEntry(int tagNumber,
                    int typeNumber,
                    long count,
                    long valueOffset,
                    long entryOffset)

Method Detail

### getCount

    public long getCount()

### getTagNumber

    public int getTagNumber()

### getTypeNumber

    public int getTypeNumber()

### getValueOffset

    public long getValueOffset()

  The value offset may either contain the data or point to the data depending on the type and the count.

  Returns:
    The value offset.

### getDataOffset

    public long getDataOffset()

  The offset to the data.

### setIFDOffset

    public void setIFDOffset(long newValue)

### getEntryOffset

    public long getEntryOffset()

### getIFDOffset

    public long getIFDOffset()

### isDataInValueOffset

    public boolean isDataInValueOffset()

### getLength

    public long getLength()

### readData

    public java.lang.Object readData(TIFFInputStream in)
                              throws java.io.IOException

  Reads value data with ifdDataOffset=0

  Throws:
    `java.io.IOException`

### readData

    public java.lang.Object readData(TIFFInputStream in,
                                     long ifdDataOffset)
                              throws java.io.IOException

  Reads value data with the specified ifdDataOffset.

  Throws:
    `java.io.IOException`

### loadData

    public void loadData(TIFFInputStream in)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getData

    public java.lang.Object getData()

### toString

    public java.lang.String toString()

  FIXME Output is used by EXIFView

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(java.lang.Enum tagName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD